
Foreman - Bug #18582

Apipie documentation is missing :id parameter for Locations and Organizations actions 

02/21/2017 03:31 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Organizations and Locations   

Target version: 1.14.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1425042 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4312

  

Description

Description of problem:

Apipie documentation is missing :id parameter for Locations and Organizations resources on all actions.

It causes troubles for apipie-bindings and other automatic remote API generation tools.

Version-Release number of selected component (if applicable):

foreman 1.14

Associated revisions

Revision 9b5a4677 - 02/23/2017 11:05 AM - Tomáš Strachota

Fixes #18582 - add missing id params to taxonomy apidoc

Revision 6d6ef227 - 03/01/2017 02:08 PM - Tomáš Strachota

Fixes #18582 - add missing id params to taxonomy apidoc

(cherry picked from commit 9b5a467779b931d7a68f57f1c31bbea309090634)

History

#1 - 02/21/2017 03:31 AM - Tomáš Strachota

- Subject changed from Apipie documentation is missing :id parameter for Locations and Organizations actions 

 to Apipie documentation is missing :id parameter for Locations and Organizations actions 

- Status changed from New to Assigned

- Assignee set to Tomáš Strachota

- Target version set to 1.11.4

#2 - 02/21/2017 03:53 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4312 added

#3 - 02/21/2017 10:21 AM - Marek Hulán

- Target version changed from 1.11.4 to 1.12.1

#4 - 02/23/2017 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9b5a467779b931d7a68f57f1c31bbea309090634.

#5 - 02/24/2017 03:45 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/9b5a467779b931d7a68f57f1c31bbea309090634


- translation missing: en.field_release set to 221

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

http://www.tcpdf.org

